@font-face {
    font-display: swap;
    font-family: "Inter";
    font-style: italic;
    font-weight: 100 900;
    src: url("Inter-VariableFont_opsz\,wght.ttf") format("truetype");
}

:root {
    font-size: 18px;
}

body {
    margin: 0;

    background-color: hsl(0 0% 12.1%);
    color: hsl(0 0% 99.6%);

    font-family: "Inter", system-ui, sans-serif;
    line-height: 1.2;
}

main, footer {
    margin-block: 1rem;
    margin-inline: auto;
    padding-inline: 1rem;

    max-width: 600px;
}

header {
    display: flex;
    position: relative;

    height: 75vh;

    flex-direction: column;
    justify-content: center;

    overflow-x: hidden;

    background-color: hsl(0 0% 0%);
}

header > div {
    margin-inline: auto;
    padding-inline: 1rem;

    max-width: 600px;

    z-index: 1;

    font-size: 1.5rem;
    font-weight: 550;
}

header > div > h1 {
    font-size: 3rem;
    font-weight: 900;
}

header > img {
    position: absolute;

    top: 0;
    left: 50%;

    height: 100%;
    transform: translate(-50%);

    filter: blur(2px);
}

main {
    padding-block-start: 1rem;
}

footer {
    margin-block: 1.5rem;
}

nav > ul {
    margin: 0;
    padding: 0;
}

nav > ul > li {
    margin-inline-end: 0.25rem;
    display: inline-block;
}

iframe {
    width: 100%;
    aspect-ratio: 16/9;
}

h1, h2, h3, h4, h5, h6 {
    line-height: 1.4;
}

a {
    color: hsl(125 85% 55%);
}

a:visited {
    color: hsl(125 85% 85%);
}
